<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Hand Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classHand-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Hand Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Hand:</div>
<div class="dyncontent">
<div class="center"><img src="classHand__inherit__graph.png" border="0" usemap="#aHand_inherit__map" alt="Inheritance graph"/></div>
<map name="aHand_inherit__map" id="aHand_inherit__map">
<area shape="rect" title=" " alt="" coords="112,80,168,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Hand:</div>
<div class="dyncontent">
<div class="center"><img src="classHand__coll__graph.png" border="0" usemap="#aHand_coll__map" alt="Collaboration graph"/></div>
<map name="aHand_coll__map" id="aHand_coll__map">
<area shape="rect" title=" " alt="" coords="112,80,168,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ab6f99795fe5c230efe2e7394f94219e7"><td class="memItemLeft" align="right" valign="top"><a id="ab6f99795fe5c230efe2e7394f94219e7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedCard</b> (<a class="el" href="classCard.html">Card</a> *c)</td></tr>
<tr class="separator:ab6f99795fe5c230efe2e7394f94219e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a0fd8a7ca62e1cd41683c58d8bf174d27"><td class="memItemLeft" align="right" valign="top"><a id="a0fd8a7ca62e1cd41683c58d8bf174d27"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedCardInHand</b> (<a class="el" href="classCard.html">Card</a> *c, <a class="el" href="classHand.html">Hand</a> *h)</td></tr>
<tr class="separator:a0fd8a7ca62e1cd41683c58d8bf174d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a899ae6063366ec45d603e7e71cae7ab0"><td class="memItemLeft" align="right" valign="top"><a id="a899ae6063366ec45d603e7e71cae7ab0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Hand</b> (<a class="el" href="classCardColection.html">CardColection</a> &amp;cc)</td></tr>
<tr class="separator:a899ae6063366ec45d603e7e71cae7ab0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6d65250fe438e1f9897ad9ba794c90"><td class="memItemLeft" align="right" valign="top"><a id="aeb6d65250fe438e1f9897ad9ba794c90"></a>
<a class="el" href="classCardColection.html">CardColection</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getCards</b> ()</td></tr>
<tr class="separator:aeb6d65250fe438e1f9897ad9ba794c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc27aaa9b5aa6c74ae47fab00aa267d8"><td class="memItemLeft" align="right" valign="top"><a id="acc27aaa9b5aa6c74ae47fab00aa267d8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classCard.html">Card</a> *)</td></tr>
<tr class="separator:acc27aaa9b5aa6c74ae47fab00aa267d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae53b973986ce00233efe1e8ef04f7f88"><td class="memItemLeft" align="right" valign="top"><a id="ae53b973986ce00233efe1e8ef04f7f88"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_front</b> (<a class="el" href="classCard.html">Card</a> *)</td></tr>
<tr class="separator:ae53b973986ce00233efe1e8ef04f7f88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af89832bfa51663a4e7786ba203072185"><td class="memItemLeft" align="right" valign="top"><a id="af89832bfa51663a4e7786ba203072185"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_back</b> ()</td></tr>
<tr class="separator:af89832bfa51663a4e7786ba203072185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f29719cd3178bb6a03a202d155fc6e2"><td class="memItemLeft" align="right" valign="top"><a id="a1f29719cd3178bb6a03a202d155fc6e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_front</b> ()</td></tr>
<tr class="separator:a1f29719cd3178bb6a03a202d155fc6e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e066e5ebf98cd2b0b6d51b6ae5249c"><td class="memItemLeft" align="right" valign="top"><a id="a35e066e5ebf98cd2b0b6d51b6ae5249c"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:a35e066e5ebf98cd2b0b6d51b6ae5249c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77b2fa960b9bce5589b1eb2320bff48c"><td class="memItemLeft" align="right" valign="top"><a id="a77b2fa960b9bce5589b1eb2320bff48c"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>front</b> ()</td></tr>
<tr class="separator:a77b2fa960b9bce5589b1eb2320bff48c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae76406a43449cbb93101aa25cbe4f8d9"><td class="memItemLeft" align="right" valign="top"><a id="ae76406a43449cbb93101aa25cbe4f8d9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:ae76406a43449cbb93101aa25cbe4f8d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a9cb4e1e27ccd870bad12c7513bfca7"><td class="memItemLeft" align="right" valign="top"><a id="a1a9cb4e1e27ccd870bad12c7513bfca7"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a1a9cb4e1e27ccd870bad12c7513bfca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9af6240d4147d53590583e19f107081c"><td class="memItemLeft" align="right" valign="top"><a id="a9af6240d4147d53590583e19f107081c"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int ind)</td></tr>
<tr class="separator:a9af6240d4147d53590583e19f107081c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb01d32058852d7b2bbf26455a6def69"><td class="memItemLeft" align="right" valign="top"><a id="abb01d32058852d7b2bbf26455a6def69"></a>
<a class="el" href="classCard.html">Card</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeCard</b> (int indexofCard)</td></tr>
<tr class="separator:abb01d32058852d7b2bbf26455a6def69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b7027588be09b2fbdd8753ddb4483b"><td class="memItemLeft" align="right" valign="top"><a id="a63b7027588be09b2fbdd8753ddb4483b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>repositionCards</b> ()</td></tr>
<tr class="separator:a63b7027588be09b2fbdd8753ddb4483b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73db88efc40d9297d19195405b02f8d8"><td class="memItemLeft" align="right" valign="top"><a id="a73db88efc40d9297d19195405b02f8d8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getCardIndex</b> (<a class="el" href="classCard.html">Card</a> *)</td></tr>
<tr class="separator:a73db88efc40d9297d19195405b02f8d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17e9dd78689fbe1c3bee50840fda5956"><td class="memItemLeft" align="right" valign="top"><a id="a17e9dd78689fbe1c3bee50840fda5956"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a17e9dd78689fbe1c3bee50840fda5956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559fff01149a91dcbd26cb4c2cb6e59a"><td class="memItemLeft" align="right" valign="top"><a id="a559fff01149a91dcbd26cb4c2cb6e59a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a559fff01149a91dcbd26cb4c2cb6e59a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef04d67f2b31be252924a3f496238fbc"><td class="memItemLeft" align="right" valign="top"><a id="aef04d67f2b31be252924a3f496238fbc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:aef04d67f2b31be252924a3f496238fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8027c2b00a560b468fb2cdd05273bffc"><td class="memItemLeft" align="right" valign="top"><a id="a8027c2b00a560b468fb2cdd05273bffc"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a8027c2b00a560b468fb2cdd05273bffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa0d564074c6acc664d5d4dcee92446a"><td class="memItemLeft" align="right" valign="top"><a id="aaa0d564074c6acc664d5d4dcee92446a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:aaa0d564074c6acc664d5d4dcee92446a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="hand_8h_source.html">hand.h</a></li>
<li>src/hand.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
